Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime
Class QTException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--quicktime.QTException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  QD3DException, QDException, QTIOException, QTUnknownOSException, QTVRException, SoundException, StdQTException, UtilException

public class QTException
extends java.lang.Exception

A General catch all class that is used to signal errors that occur from QTML calls

See Also:
  Serialized Form

Constructor Summary
`QTException(int val)` Creates an exception with a specific error number
`QTException(java.lang.String str)` Creates an exception with a message that could contain information that could be displayed to the user.

Method Summary
`static void` | `checkError(int err)` This method will throw an exception if the incoming err argument is a non-zero value.
`int` | `errorCode()` Return the error code that generated the exception.
`java.lang.String` | `errorCodeToString()` Returns a string that represents the error code of the current QTException.
`static java.lang.String` | `errorCodeToString(int eCode)` Returns a string that represents the error code of the current QTException.
`static int` | `isDrawingError(int err)` This routine checks the result of drawing operations that may report an error code that is transitory and can be ignored.
`java.lang.String` | `toString()` Print current build information and current exception details.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTException

    public QTException(java.lang.String str)

  Creates an exception with a message that could contain information that could be displayed to the user.
  Parameters:
    `str` - The message that could be displayed to the user

### QTException

    public QTException(int val)

  Creates an exception with a specific error number
  Parameters:
    `val` - the error number

Method Detail

### errorCodeToString

    public static java.lang.String errorCodeToString(int eCode)

  Returns a string that represents the error code of the current QTException. This will return the name of the error code as represented in the quicmtime.Errors interface. If the error code is unknown then the string "Unknown Error Code" will be returned.
  Returns:
    a string that represents the current error code of the QTException.

### checkError

    public static void checkError(int err)
                           throws QTException

  This method will throw an exception if the incoming err argument is a non-zero value.
  Parameters:
    `err` - the result or error code if non-zero an exception is thrown

### isDrawingError

    public static int isDrawingError(int err)

  This routine checks the result of drawing operations that may report an error code that is transitory and can be ignored.

  Error codes ignored are:

  - codecNothingToBlitErr
  - codecOffscreenFailedErr

### errorCode

    public int errorCode()

  Return the error code that generated the exception. If there was no QT error code number known this value will be 0 in which case the message contains information about the exception.
  Returns:
    an int

### errorCodeToString

    public java.lang.String errorCodeToString()

  Returns a string that represents the error code of the current QTException. This will return the name of the error code as represented in the quicmtime.Errors interface. If the error code is unknown then the string "Unknown Error Code" will be returned.
  Returns:
    a string that represents the current error code of the QTException.

### toString

    public java.lang.String toString()

  Print current build information and current exception details.
  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD